curl --request POST \
--url https://api.hubapi.com/crm/v3/objects/partner_services/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"after": "<string>",
"filterGroups": [
{
"filters": [
{
"operator": "BETWEEN",
"propertyName": "<string>",
"highValue": "<string>",
"value": "<string>",
"values": [
"<string>"
]
}
]
}
],
"limit": 123,
"properties": [
"<string>"
],
"sorts": [
"<string>"
],
"query": "<string>"
}
'{
"results": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"id": "512",
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}
],
"total": 123,
"paging": {
"next": {
"after": "NTI1Cg%3D%3D",
"link": "?after=NTI1Cg%3D%3D"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}Execute uma consulta de pesquisa para encontrar serviços de parceiros com base em filtros, propriedades e opções de classificação definidos. Este endpoint permite recuperar uma lista de serviços de parceiros que correspondem aos critérios de pesquisa especificados.
curl --request POST \
--url https://api.hubapi.com/crm/v3/objects/partner_services/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"after": "<string>",
"filterGroups": [
{
"filters": [
{
"operator": "BETWEEN",
"propertyName": "<string>",
"highValue": "<string>",
"value": "<string>",
"values": [
"<string>"
]
}
]
}
],
"limit": 123,
"properties": [
"<string>"
],
"sorts": [
"<string>"
],
"query": "<string>"
}
'{
"results": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"id": "512",
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}
],
"total": 123,
"paging": {
"next": {
"after": "NTI1Cg%3D%3D",
"link": "?after=NTI1Cg%3D%3D"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}Produtos suportados
Escopos Necessários
The access token received from the authorization server in the OAuth 2.0 flow.
Descreve uma solicitação de pesquisa
Um token de cursor de paginação para recuperar páginas subsequentes.
Até 6 grupos de filtros definindo critérios de consulta adicionais.
Show child attributes
O máximo de resultados a serem retornados é de até 200 objetos.
Uma lista de nomes de propriedades a serem incluídos na resposta.
Especifica a ordem de classificação com base nas propriedades do objeto.
A sequência de consulta de pesquisa, até 3000 caracteres.
successful operation